import 'package:test/test.dart';

import 'package:sudokuer/sudokuer.dart' as s;

void main() {
  final board = [
    ["5", "3", ".", ".", "7", ".", ".", ".", "."],
    ["6", ".", ".", "1", "9", ".", ".", ".", "."],
    [".", "9", "8", ".", ".", ".", ".", "6", "."],
    ["8", ".", ".", ".", ".", ".", ".", ".", "3"],
    ["4", ".", ".", "8", ".", "3", ".", ".", "1"],
    ["7", ".", ".", ".", "2", ".", ".", ".", "6"],
    [".", "6", ".", ".", ".", ".", "2", "8", "."],
    [".", ".", ".", "4", "1", "9", ".", ".", "5"],
    [".", ".", ".", ".", "8", ".", ".", "7", "9"]
  ];
  final solvedBoard = [
    [5, 3, 2, 6, 7, 4, 9, 1, 8],
    [6, 7, 4, 1, 9, 8, 3, 5, 2],
    [1, 9, 8, 3, 5, 2, 4, 6, 7],
    [8, 2, 6, 7, 4, 1, 5, 9, 3],
    [4, 5, 9, 8, 6, 3, 7, 2, 1],
    [7, 1, 3, 9, 2, 5, 8, 4, 6],
    [9, 6, 1, 5, 3, 7, 2, 8, 4],
    [2, 8, 7, 4, 1, 9, 6, 3, 5],
    [3, 4, 5, 2, 8, 6, 1, 7, 9]
  ];

  test('solver', () {
    final list = s.toSudokuList(board);
    s.solver(list);
    expect(list, solvedBoard);
  });

  test('generator', () {
    expect(s.generator(difficultyLevel: 2), isNotEmpty);
  });
}
